settings-parser 1.3.2 2017-07-31 ✔ PY3

settings-parser on PyPI  

settings_parser: Load, parse and validate user settings


AuthorPedro Villanueva Delgado
LicenseMIT
Keywords settings configuration config validator parser

Load and parse user settings


Installation

Python 3.5 or 3.6 is required. Installing Anaconda is recommended; it works with Windows (64/32 bits), Linux (64/32 bits) and Mac (64 bits).

After installing Anaconda execute the following commands at the command prompt (cmd.exe for Windows, shell for Linux and Mac):

conda config --add channels conda-forge
conda config --add channels pedvide
conda install settings_parser

(The first two commands add packages repositories with up-to-date versions of all needed packages.)

or

pip install settings_parser

That will download and install all necessary files.

Update

If you installed it using conda, update with:

conda update settings_parser

If you installed it with pip, update with:

pip install -U settings_parser

Features

Documentation

TODO

Bugs/Requests

Please use the GitHub issue tracker to submit bugs or request features.

License

Copyright Pedro Villanueva Delgado, 2017.

Distributed under the terms of the MIT license, settings_parser is free and open source software.